# FdoRdbmsOvClassDefinition Class Reference

`#include <RdbmsOvClassDefinition.h>`

Inheritance diagram for FdoRdbmsOvClassDefinition:

[legend]

List of all members.

## Detailed Description

FdoRdbms.lib.

Abstract class defining physical schema overrides for a class definition.

Definition at line 34 of file RdbmsOvClassDefinition.h.

## Public Member Functions
FDORDBMS_OV_API FdoRdbmsOvReadOnlyPropertyDefinitionCollection * | GetProperties ()
| Gets the collection of property overrides for this class override.
FDORDBMS_OV_API FdoRdbmsOvTable * | GetTable ()
FDORDBMS_OV_API FdoSmOvTableMappingType | GetTableMapping ()
FDORDBMS_OV_API void | SetTableMapping (FdoSmOvTableMappingType mappingType)
## Protected Member Functions
virtual FDORDBMS_OV_API void | AddProperty (FdoRdbmsOvPropertyDefinition *pProp)=0
FDORDBMS_OV_API FdoXmlSaxHandler * | CheckDuplicateProperty (FdoXmlSaxContext *context, FdoRdbmsOvPropertyDefinition *pProp)
| summary>
virtual FDORDBMS_OV_API FdoRdbmsOvDataPropertyDefinition * | CreateDataProperty (FdoXmlSaxContext *context, FdoXmlAttributeCollection *propAtts, FdoXmlAttributeCollection *colAtts)
virtual FDORDBMS_OV_API FdoRdbmsOvGeometricPropertyDefinition * | CreateGeometricProperty (FdoXmlSaxContext *context, FdoXmlAttributeCollection *propAtts, FdoXmlAttributeCollection *colAtts)
virtual FDORDBMS_OV_API FdoRdbmsOvObjectPropertyDefinition * | CreateObjectProperty (FdoXmlSaxContext *context, FdoXmlAttributeCollection *propAtts, FdoString *mappingType, FdoXmlAttributeCollection *mappingAtts)
FDORDBMS_OV_API | FdoRdbmsOvClassDefinition (FdoString *name)
FDORDBMS_OV_API | FdoRdbmsOvClassDefinition ()
FDORDBMS_OV_API FdoRdbmsOvPropertyDefinitionCollection * | GetRdbmsProperties ()
virtual FDORDBMS_OV_API void | SetTable (FdoXmlSaxContext *context, FdoXmlAttributeCollection *atts)
FDORDBMS_OV_API void | SetTable (FdoRdbmsOvTable *table)
virtual FDORDBMS_OV_API | ~FdoRdbmsOvClassDefinition ()

The documentation for this class was generated from the following file:

- RdbmsOvClassDefinition.h